{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'css/styles.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<script src="https://cdn.zingchart.com/zingchart.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .panel-judul{
        text-align: center;
    }

    .grup-hasil{
        width: 600px;
        margin-top: 20px;
        margin-right: auto;
        margin-left: auto;
    }

    .pertanyaan-hasil{
        text-align: center; 
        margin-top: 50px;
        color: white;
        font-size: 24px;
        font-family: 'Tinos', serif;
        font-weight: bolder;
    }

    .container-pertanyaan{
        margin-left: auto;
        margin-right: auto;
        background-color:#6C804B ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        width: 600px;
        height: 40px;
    }

    .btn-kembali{
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-graph{
        background-color:#0466c8 ;
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    #myChart{
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
        overflow: hidden;
        width: 600px;
        height: 0px;
    }

    #myChart.active{
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
        overflow: hidden;
        width: 600px;
        height: 600px;
        transition: 0.5s;
    }
        .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }

    @media (min-width: 600px) and (max-width:725px){
        .container-pertanyaan{
            width:500px ;
        }

        .grup-hasil{
            width: 500px;
        }

        .pertanyaan-hasil{
            font-size: 25px;
        }
    }

    @media (min-width: 500px) and (max-width:599px){
        .container-pertanyaan{
            width:450px ;
        }


        .grup-hasil{
            width: 450px;
        }

        .pertanyaan-hasil{
            font-size: 22px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .container-pertanyaan{
            width:350px ;
        }

        .grup-hasil{
            width: 350px;
        }

        .pertanyaan-hasil{
            font-size: 18px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .container-pertanyaan{
            width:280px ;
        }

        .grup-hasil{
            width: 280px;
        }

        .pertanyaan-hasil{
            font-size:15px;
        }
    }



    
</style>
{% endblock tambahStyle %}

{% block content %}
<body  style="background-color: #DCE5D2";>
    {% if user.is_authenticated %}
    <div class="cursor"></div>
    <div class="container">
        <div class="container-pertanyaan">
            <h3 class="pertanyaan-hasil">{{poll.pertanyaan}}</h3>
        </div>
        <div class="box-hasil">
            <ul class="list-group grup-hasil">
                <li class="list-group-item">{{ poll.pilihan_satu }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_satu_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_dua }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_dua_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_tiga }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_tiga_hitung }} Votes</span></li>
                <li class="list-group-item total-voters" style="margin-top: 20px;"><strong>Total</strong><span class="badge badge-info float-right badge-vote">{{ poll.total }} Voters</span></li>
                <div class="btn-kembali">
                    <a class="btn btn-primary btn-graph" id="showgraph" >Show Graph</a>
                    <a class="btn btn-success btn-kembali " href="{% url 'poll:poll' %}#container-poll" >Kembali</a>
                </div>
            </ul>
        </div>
        <div id="myChart"></div>   
    </div>
    <script>
        var state ={	
		'items':[],
		'values':[],
	}

	var objId = "{{poll.id}}"

	var dataURL = `/poll/resultsdata/${objId}/`
	$.ajax({
		method:'GET',
		url:dataURL,
		success:function(response){
			console.log('RESPONSE:', response)
			for (var i in response){

				var key = Object.keys(response[i])[0]
				var value = Object.values(response[i])[0]

				state.items.push(key)
				state.values.push(value)
			}

			console.log('STATE:', state)
			buildChart()

		}
	})

	function buildChart(){
			var chartData = {
            "type":"bar",
            "title": {
                "text": "Graph Result"
            },
            plot:{
                'border-radius':"5px",
                styles:["red","green","blue"]
            },
			"scale-x":{
				"values":state.items
			},
			"series":[
				{
                    "values":state.values,
                    alpha: 1,
				}
			]
		}


		zingchart.render({
		  id: "myChart",
		  data: chartData,
		});
	}
    </script>

    <script>

        var graph = document.getElementById("myChart")
        $("#showgraph").click(function () {
            if(graph.className == "active"){
                graph.className = "";
                button.innerHTML = "Show Graph"
            } else{
                graph.className = "active";
                button.innerHTML = "Close Graph"
            }
        });
    </script>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %}

    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.pageX-10, top:e.pageY-10})
        });
    </script>
     
</body>
{% endblock %}
